Browser Support

Labfolder fully supports the following internet browsers:

Google Chrome Logo
Chrome
v90 or newer

.

Mozilla Firefox Logo
Firefox
v88 or newer

.

Microsoft Edge
v90 or newer

.

Safari
v14 or newer

.

Note: Labfolder will work while using official browser releases only. This means Beta versions are expected to cause inadequate performance of the ELN, due to their instability.